XLSX in Version 16.9 does not work with API 4.x

421
0
03-24-2021 08:14 AM
ShaningYu
Frequent Contributor

In an App where   <script src="https://js.arcgis.com/4.18/"></script> is used, using

 <script src="https://cdnjs.cloudflare.com/ajax/libs/xlsx/0.7.7/xlsx.core.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/xls/0.7.4-a/xls.core.min.js"></script> 

is fine.  However, if I use XLSX in Version 16.9, XLSX becomes undefined.

In my other projects in ESRI's 3.x API, using XLSX Version 16.9 has no problem.

One of the main differences is that the low XLSX version (e.g. 0.7.7) can read maximum 26 columns from an Excel file, while the high XLSX version has not such a limit.

It looks that ESRI's JavaScript 4.x has a defect.  Hopefully, ESRI's JavaScript team can resolve this bug.

 

Tags (1)
0 Kudos
0 Replies